givrns.h File Reference

Modular arithmetic for GIVARO. More...

`#include "givaro/givconfig.h"`
`#include "givaro/giverror.h"`
`#include "givaro/givarray0.h"`
`#include "givaro/givrnscstor.inl"`
`#include "givaro/givrnsconvert.inl"`
Include dependency graph for givrns.h:

## Data Structures

class | RNSsystem< RING, Domain >
| class RNSsystem. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Modular arithmetic for GIVARO.

Here is defined arithmetic functions on rns representation and interface between RNS and Integer, all is done via the Chinese Remainder Algorithm.